    Create a trace plot of row number versus value.

plot_trace(points, name='x', xlabel='x', replot=False, overplot=False, clearwindow=True, **kwargs)
points - array
name - str, optional
xlabel - str, optional
replot - bool, optional
overplot - bool, optional
clearwindow - bool, optional

Dispay a plot of the points array values (Y axis) versus row number (X axis). This can be useful to view how a value changes, such as the value of a parameter returned by

`get_draws` .

Plot the trace of the 500 elements in the x array:

>>> mu, sigma = 100, 15 >>> x = mu + sigma * np.random.randn(500) >>> plot_trace(x)

Use "ampl" as the Y axis label:

>>> plot_trace(ampl, name='ampl')

PARAMETERS

The parameters for this function are:

Parameter
Definition
points
The values to plot on the Y axis.
name
The label to use on the Y axis and as part of the plot title.
xlabel
replot
Set to True to use the values calculated by the last call to `plot_trace` . The default is False .
overplot
If True then add the data to an existing plot, otherwise create a new plot. The default is False .
clearwindow
Should the existing plot area be cleared before creating this new plot (e.g. for multi-panel plots)?

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023